=== src/cli/CMakeLists.txt ===
target_sources(flameshot PRIVATE commandlineparser.cpp commandoption.cpp commandargument.cpp)
