=== debian/changelog ===
flameshot (12.1.0+ds-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Remove redundant 'Rules-Requires-Root: no'.
  * debian/rules: set CMAKE_POLICY_VERSION_MINIMUM to 3.5 to avoid build failure
    on CMake 4 after it removed backwards compatibility with earlier versions.
    (Closes: #1112915)
  * debian/watch: converted to version 5.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 27 Sep 2025 05:01:22 +0000

flameshot (12.1.0+ds-2) unstable; urgency=medium

  * debian/control: removed libsingleapplication-dev from Build-Depends, as it
    was not used anyway -- the vendored version in the tarball is used instead.
    Moreover, repacking it to use the packaged version is not worthwhile at this
    moment, since upstream has switched to a non-free license (see #1050520),
    making future Debian releases unlikely.
  * debian/copyright: updated packaging copyright years.

 -- David da Silva Polverari <polverari@debian.org>  Tue, 18 Feb 2025 04:16:01 +0000

flameshot (12.1.0+ds-1) unstable; urgency=medium

  * New maintainer. (Closes: #1065588)
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright:
      - Added Files paragraphs for previously not included patterns.
      - Added stand-alone License paragraphs for Commercial, BSD-3-Clause and
        BSD-2-Clause licenses.
      - Coalesced Files patterns with the same license under src/*.
      - Fixed upstream copyright attribution.
      - Replaced stand-alone License paragraph texts with standard text for
        licenses with dh_make templates available.
      - Simplified existing Files patterns.
      - Sorted existing Files paragraphs in alphabetical order.
      - Updated packaging copyright information.
      - Updated upstream copyright information.
  * debian/gbp.conf: created to comply with DEP-14 proposed repository layout.
  * debian/lintian-overrides: created to override lintian about spelling error
    in upstream license text.
  * debian/patches/:
      - Shortened all patch filenames.
      - 020_*.patch: tagged as Debian specific.
  * debian/rules:
      - Removed comments and unused export from dh_make default template.
      - Removed undeclared NULL variable used as recipe multi-line end marker.
  * debian/source/lintian-overrides: created to override false-positive lintians
    about long line in source file and not installing examples from the package.
  * debian/watch: added repacksuffix=+ds to options.

 -- David da Silva Polverari <polverari@debian.org>  Wed, 23 Oct 2024 02:12:13 +0000

flameshot (12.1.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1065588)

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Mar 2024 22:13:13 -0500
