=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DFLAMESHOT_ABOUT_DEB_VERSION=$(DEB_VERSION) \
		-DUSE_LAUNCHER_ABSOLUTE_PATH:BOOL=OFF \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5
