=== debian/watch ===
Version: 5
Dversion-Mangle: auto
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%
Repacksuffix: +ds
Uversion-Mangle: s/.rc/~rc/
Source: https://github.com/flameshot-org/flameshot/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*r?c?\d?)\.tar\.gz
