## flameshot 13.3.0

=== debian/changelog ===
flameshot (13.3.0-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Dec 2025 20:16:54 -0800

flameshot (13.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #1119145)
  * debian/patches/: Dropped, not needed.
  * debian/control: Update to use Qt6 build.
  * debian/rules: Update to use Qt6 build.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Nov 2025 21:57:57 -0500

flameshot (12.1.0+ds-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.

 -- David da Silva Polverari <polverari@debian.org>  Wed, 29 Oct 2025 18:11:44 +0000
