=== debian/control ===
Source: flameshot
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkdsingleapplication-qt6-dev,
               libkf6guiaddons-dev,
               libqt-color-widgets-dev (>= 3.0.0-2~),
               qt6-base-dev (>= 6.2),
               qt6-l10n-tools,
               qt6-svg-dev (>= 6.2),
               qt6-tools-dev (>= 6.2),
               qt6-tools-dev-tools (>= 6.2)
Standards-Version: 4.7.2
Homepage: https://flameshot.org
Vcs-Browser: https://salsa.debian.org/debian/flameshot
Vcs-Git: https://salsa.debian.org/debian/flameshot.git

Package: flameshot
Architecture: any
Depends: hicolor-icon-theme, libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
Recommends: grim,
            xdg-desktop-portal-gtk | xdg-desktop-portal-gnome | xdg-desktop-portal-kde | xdg-desktop-portal-wlr
Suggests: ca-certificates, openssl, qt6-image-formats-plugins
Description: Powerful yet simple-to-use screenshot software
 Flameshot is a powerful yet simple-to-use screenshot software.
 Notable features include customizable appearance, in-app screenshot editing,
 D-Bus interface, experimental GNOME/KDE Wayland support, integration with
 Imgur and support for both GUI and CLI interface.
