=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# For version string in About dialog
export GIT_HASH = Debian-$(DEB_VERSION)

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUSE_LAUNCHER_ABSOLUTE_PATH:BOOL=OFF \
		-DDISABLE_UPDATE_CHECKER:BOOL=ON \
		-DUSE_WAYLAND_CLIPBOARD:BOOL=ON \
		-DUSE_BUNDLED_KDSINGLEAPPLICATION:BOOL=OFF

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
