=== debian/changelog ===
flameshot (13.3.0+git20251204-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Dec 2025 20:22:18 -0800

flameshot (13.3.0+git20251204-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot 13.3.0+git20251204.
    + Likely solved the image clipboard issue. (Closes: #1121920)

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Dec 2025 14:56:14 -0500

flameshot (13.3.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Depends on qt6-svg-plugins instead of libqt6svg6
    in hope that the SVG support could be recovered in #1121703.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Dec 2025 10:52:47 -0500
