=== debian/control ===
--- 
+++ 
@@ -20,7 +20,10 @@
 
 Package: flameshot
 Architecture: any
-Depends: hicolor-icon-theme, libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
+Depends: hicolor-icon-theme,
+         qt6-svg-plugins,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: grim,
             xdg-desktop-portal-gtk | xdg-desktop-portal-gnome | xdg-desktop-portal-kde | xdg-desktop-portal-wlr
 Suggests: ca-certificates, openssl, qt6-image-formats-plugins
